> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/transport-network-portfolio/os-multi-modal-routing-network/os-mrn-overview/product-supply.md).

# Product supply

## Available formats

OS MRN is available in two formats:

* Protocolbuffer Binary Format (PBF)
* GeoPackage (GPKG)

### Protocolbuffer Binary Format overview

PBF is an open source transfer format for vector GIS data created by the OpenStreetMap (OSM) community. PBF is an alternative to the original [OSM XML](https://wiki.openstreetmap.org/wiki/OSM_XML) format. PBF files are generally much smaller than OSM XML files and are faster to read and write.

### GeoPackage overview

GeoPackage is an open standard data format as defined by the Open Geospatial Consortium (OGC). GeoPackage is designed to be a lightweight format that can contain large amounts of varied and complex data in a single, easy-to-distribute and ready-to-use file.

GeoPackage offers users the following benefits:

* The single file is easy to transfer and offers the end-user a rich experience.
* Attribute names are not limited in length, making the format user-friendly.
* The file size limit is very large at 140 TB (a file size limit might be imposed by the file system to which the file is written).
* It supports raster, vector and database formats, making it a highly versatile solution.

For general guidance on using the product in GeoPackage format, please see the [Getting started with GeoPackage guide](/os-downloads/resources/product-resources/getting-started-with-geopackage-and-vector-tiles-guides/getting-started-with-geopackage.md).

## Supply mechanism

OS MRN is available as an online download from the [OS Data Hub](https://osdatahub.os.uk/). You can select a data format (PBF or GeoPackage) during the download process.

It is available as a Full Supply only, and customers can order full Great Britain (GB) coverage or a customisable area of interest (AOI).

## Order Summary File

Orders supplied from the OS Data Hub will be provided with an Order Summary File, a manifest for the product that provides a record count for each feature type the product contains. This file can be used to validate your order, enabling you to check record counts across all feature types included in the product.

The following file naming convention will be applied to the Order Summary File you receive:

* productname\_orderSummary.json

For example, the file name for the OS Multi-modal Routing Network Order Summary File would look like this:

* OSMulti-modalRoutingNetwork\_orderSummary.json

The example below shows the information the Order Summary File contains:

```json
{
  "productName" : "OS Multi-modal Routing Network",
  "crs" : "http://www.opengis.net/def/crs/EPSG/0/4326",
  "validToDate" : "2025-09-16",
  "totalRecordCount" : 89966573,
  "featureTypes" : [ {
    "id" : "mrn-ntwk-transportlink",
    "version" : "1.0",
    "recordCount" : 14103706
  }, {
    "id" : "mrn-ntwk-transportnode",
    "version" : "1.0",
    "recordCount" : 75639021
  }, {
    "id" : "mrn-ntwk-turnrestriction",
    "version" : "1.0",
    "recordCount" : 223846
  } ]
}
```

The following table provides a brief description of each field:

| Field              | Description                                                                                                     | Use                                                                                                                           |
| ------------------ | --------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------- |
| `productName`      | The product delivered in this order (for example, `OS Multi-modal Routing Network`).                            | Validate the downloaded product against your order.                                                                           |
| `crs`              | The coordinate reference system used for your supply.                                                           | Validate the coordinate reference system against your order                                                                   |
| `validToDate`      | The end date of coverage for this supply.                                                                       | Validate the currency of your data to ensure the latest date aligns with the expected supply window for your order frequency. |
| `totalRecordCount` | The total number of records delivered across the whole product package.                                         | Validate that the delivered entries match the overall number of records expected for your download.                           |
| `featureTypes`     | Array of feature types included in the product package, including identifier, schema version, and record count. | Validate included feature types, their schema versions, and per-feature-type record totals against your order.                |

## Currency

OS MRN is updated monthly, in-line with updates of OS transport network data.

## Coverage

OS MRN covers Great Britain.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.os.uk/os-downloads/products/transport-network-portfolio/os-multi-modal-routing-network/os-mrn-overview/product-supply.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
